* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}

.preload {
    width: 100%;
    height: 100vh;
    position: absolute;
    background: #17252a;
    z-index: 99;
    color: white;
    font-size: 2em;
    text-align: center;
    line-height: 3;
    padding-top: 25vh;
    transition-property: opacity;
    transition-delay: 1s;
    transition-duration: 2s;
}

.preload h2 {
    transition: all 1s;
}

.loader {
    width: 200px;
    height: 200px;
    margin: 0 auto;
    position: relative;
    transition: all 1s;
}

.first {
    position: absolute;
    left: 50px;
    font-size: 1.8em;
    animation: spin 2s infinite ease-in;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.second {
    position: absolute;
    top: 25px;
    font-size: 1.5em;
    animation: spin 2s infinite reverse;
}

.container {
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

.section-1 {
    width: 55%;
    min-height: 100vh;
    background: rgba(74, 79, 88, 0.7);
    position: relative;
    color: #17252a;
    display: flex;
    justify-content: space-around;
    align-items: center;
    transition: all 0.5s;
    padding-bottom: 50px;
}

.section-2 {
    width: 45%;
    max-height: 100vh;
    display: flex;
    flex-direction: column;
    position: relative;
}

.section-3 {
    width: 100%;
    height: 75vh;
    background: rgba(225, 225, 225, 1);
    position: relative;
    display: grid;
    grid-template-columns: auto;
    justify-items: center;
    align-items: center;
    text-align: center;
}

.section-3 .logo {
    font-size: 2.5em;
    color: black;
}

.logo span {
    color: rgba(0, 0, 0, .8);
    font-weight: bold;
}

.section-3 .sub {
    background: darkslategray;
    width: 200px;
    height: 65px;
    padding: 10px;
    border-radius: 10px;
}

.logo span i {
    color: #f00;
}

.playlist {
    font-size: 1.7em;
    text-align: justify;
    line-height: 2;
}

.playlist a {
    color: black;
    text-decoration: none;
}

.playlist a:hover {
    color: darkslategray;
}

.section-4 {
    width: 100%;
    height: 25vh;
    background: rgba(25, 25, 25, 0.3);
    position: relative;
    display: grid;
    grid-template-columns: auto;
    place-items: center;
    justify-items: center;
    align-items: center;
}

.section-4 p {
    font-size: 10px;
    text-decoration: none;
    color: black;
}

.icon a i {
    font-size: 3.5em;
    color: black;
    background: rgba(225, 225, 225, 1);
    border-radius: 15px;
    width: 65px;
    height: 65px;
    padding: 5px;
    margin: 0 40px;
    text-align: center;
}

.icon a i:hover {
    color: white;
    background: #393d43;
}

.player {
    width: 300px;
    height: 550px;
    background: rgba(225, 225, 225, 1);
    position: relative;
    display: flex;
    justify-content: space-around;
    top: 5vh;
    border-radius: 15px;
    box-shadow: 0px 40px 40px #393d43;
}

.player-inside {
    width: 200px;
    height: 100%;
    border-radius: 50%;
    position: relative;
}

.player h2 {
    margin-top: 40px;
    text-align: center;
}

.record {
    position: absolute;
    width: 200px;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 100px;
    border-radius: 50%;
    transition: transform ease;
    /* box-shadow: 20px 20px 60px grey; */
    opacity: 1;
    z-index: 7 !important;
    background-image: url("https://insane.imfast.io/adhmara.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.shadowy{
    top:100px;
    width:200px;
    height:200px;
    position: absolute;
    box-shadow: 20px 20px 40px;
    border-radius: 50%;
}
.progress {
    background: #efefef;
    stroke-width: 1;
    height: 4px;
    width: 65%;
    margin: 0 auto;
    margin-top: -9px;
    margin-bottom: 10px;
    border-radius:15px;
}

.progress:hover {
    cursor: pointer;
}

.progress #length {
    width: 0%;
    background: #17252a;
    height: 100%;
    -webkit-transition: width linear 200ms;
    transition: width linear 200ms;
}

.music-time {
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    flex-flow: row wrap;
    font-size: 0.7em;
}

.music-time__last {
    margin-left: auto;
}
@keyframes bar {
    0% {
        transform: translateX(0px);
    }
    100% {
        transform: translateX(150px);
    }
}

.play, .pause {
    width: 50px;
    height: 50px;
    background: white;
    border-radius: 50%;
    font-size: 12px;
    box-shadow: 0px 0px 10px;
    cursor: pointer;
    z-index: 10;
}

.play .fas, .pause .fas {
    position: relative;
    top: 19px;
    left: 20px;
}

.song-detail {
    text-align: center;
    font-size: 15px;
    position: relative;
    top: 65%;
}

.song-title {
    color: #393d43;
    font-weight: bold;
}

.song-artist {
    color: rgb(145, 94, 71);
    font-size: 11px;
    margin-top: 10px;
}

.swb {
    position: absolute;
    top: 60%;
    width: 30px;
    height: 30px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    cursor: pointer;
}

.next-song {
    background-image: url("images/next.svg");
    left: 115px;
}

.prev-song {
    background-image: url("images/prev.svg");
    right: 115px;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    10% {
        transform: rotate(36deg);
    }
    20% {
        transform: rotate(72deg);
    }
    30% {
        transform: rotate(108deg);
    }
    40% {
        transform: rotate(144deg);
    }
    50% {
        transform: rotate(180deg);
    }
    60% {
        transform: rotate(216deg);
    }
    70% {
        transform: rotate(252deg);
    }
    80% {
        transform: rotate(288deg);
    }
    90% {
        transform: rotate(324deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@media screen and (max-width:820px) {
    .preload {
        height: 200vh;
    }
    .container {
        flex-direction: column;
    }
    .section-1 {
        width: 100%;
        min-height: 100vh;
    }
    .section-2 {
        width: 100%;
        min-height: 80vh;
        display: flex;
        flex-direction: column;
    }
    .section-3 {
        width: 100%;
        max-height: 80vh;
    }
    .section-4 {
        width: 100%;
        max-height: 80vh;
    }
    .playlist {
        font-size: 1.3em;
        margin: 0 auto;
    }
}